{
	"name": "table/local/resource/resource_efficiency.json",
	"table_name": "resource_efficiency",
	"table_prefix": "reff",
	"main_table": "resource",
	"record_type": [""],
	"table_name_language": {
		"": "Resource efficiency"
	},
	"default_field": "table/prf/default_field.json",
	"default_order": [
		{
			"field": "resource_id",
			"order": ">"
		}
	],
	"save_script": [],
	"field": [
		{
			"field_name": "resource_id",
			"field_type": "varchar",
			"field_length": 40,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "resource_id",
					"linked_record_type": "",
					"linked_table": "resource",
					"linking_record_type": ""
				}
			]
		},
		{
			"field_name": "efficiency_type",
			"field_type": "integer"
		},
		{
			"field_name": "resource_efficiency_state",
			"field_type": "integer"
		},
		{
			"field_name": "efficiency",
			"field_type": "double"
		},
		{
			"field_name": "start_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "end_time",
			"field_type": "timestamp"
		},
		{
			"field_name": "person_count",
			"field_type": "integer"
		},
		{
			"field_name": "person_id",
			"field_type": "varchar",
			"field_length": 80,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "person_id",
					"linked_record_type": "",
					"linked_table": "person",
					"linking_record_type": ""
				}
			]
		},
		{
			"field_name": "person_skill",
			"field_type": "varchar",
			"field_length": 200
		},
		{
			"field_name": "info",
			"field_type": "text"
		}
	],
	"extra_field": [
		{
			"field_name": "json_data.state",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 120
		},
		{
			"field_name": "json_data.start_date",
			"field_type": "date"
		},
		{
			"field_name": "json_data.end_date",
			"field_type": "date"
		},
		{
			"field_name": "json_data.project_id",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "json_data.transfer_state",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.firm_id",
			"field_type": "integer"
		}
	],
	"field_change": [
		{
			"name": "resource_efficiency_state",
			"old_name": ["record_state"]
		}
	]
}
